--[[
	Copyright (C) Udorn (Blackhand)
--]]

petbm = petbm or {}

petbm.MovingView = {}

local function _GetParent(frame)
	if (not frame:GetParent() or frame:GetParent() == UIParent) then
		return frame
	end
	return _GetParent(frame:GetParent())
end

local function _StopMovingOrSizing(frame)
	local parent = _GetParent(frame)
	parent:StopMovingOrSizing()
	parent:SaveWindowPosition()
end

local function _StartMoving(frame)
	local parent = _GetParent(frame)
	if (parent:IsMovable()) then
		parent:StartMoving() 
	end
end

local function AttachToChildFrame(childFrame)
	childFrame:SetScript("OnMouseDown", _StartMoving)
	childFrame:SetScript("OnMouseUp", _StopMovingOrSizing)
end

petbm.MovingView.AttachToChildFrame = AttachToChildFrame